package StructuralClass;

import TX_OtherClass.JceStruct;
import TX_OtherClass.c;
import TX_OtherClass.d;

public final class WidgetInfo extends JceStruct {
    public float aspectRatio;
    public String lottieUrl;
    public int position;
    public boolean scrollWithList;

    public WidgetInfo() {
        super();
        this.lottieUrl = "";
        this.aspectRatio = 0f;
        this.position = 0;
        this.scrollWithList = false;
    }

    public WidgetInfo(String arg3, float arg4, int arg5, boolean arg6) {
        super();
        this.lottieUrl = "";
        this.aspectRatio = 0f;
        this.position = 0;
        this.scrollWithList = false;
        this.lottieUrl = arg3;
        this.aspectRatio = arg4;
        this.position = arg5;
        this.scrollWithList = arg6;
    }

    public final void readFrom(c arg4) {
        this.lottieUrl = arg4.b(0, false);
        this.aspectRatio = arg4.a(this.aspectRatio, 1, false);
        this.position = arg4.a(this.position, 2, false);
        this.scrollWithList = arg4.a(3, false);
    }

    public final void writeTo(d arg3) {
        if(this.lottieUrl != null) {
            arg3.a(this.lottieUrl, 0);
        }

        arg3.a(this.aspectRatio, 1);
        arg3.a(this.position, 2);
        arg3.a(this.scrollWithList, 3);
    }

}

